package com.muyu.cloud.pay.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.cloud.pay.domain.resp.CustomerOrderPaySimpleResp;
import com.muyu.common.core.enums.SysPayType;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * @Author: DongZeLiang
 * @date: 2024/7/31
 * @Description: 交易订单信息
 * @Version: 1.0
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "order_pay_info", autoResultMap = true)
public class OrderPayInfo extends BaseEntity {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 客户名称
     */
    private String appName;
    /**
     * 客户编号
     */
    private String appCode;
    /**
     * 客户单号
     */
    private String cusOrderNumber;
    /**
     * 支付单号
     */
    private String payOrderNumber;
    /**
     * 支付金额
     */
    private BigDecimal price;
    /**
     * 渠道商类型
     */
    private String channelType;
    /**
     * 渠道商单号
     */
    private String channelOrderNumber;
    /**
     * 支付单状态
     */
    private String status;


    public CustomerOrderPaySimpleResp buildCustomerOrderPaySimpleResp(){
        return CustomerOrderPaySimpleResp.builder()
                .cusOrderNumber(this.cusOrderNumber)
                .channelTypeName(SysPayType.getInfoByCode(this.channelType))
                .price(this.price)
                .build();
    }
}
