package com.muyu.cloud.pay.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.cloud.pay.domain.OrderPayInfo;

import java.util.List;

/**
 * @Author: DongZeLiang
 * @date: 2024/7/31
 * @Description: 订单支付业务层
 * @Version: 1.0
 */
public interface OrderPayService extends IService<OrderPayInfo> {

    /**
     * 根据客户code和分页限制，查询结果
     * @param appCode 客户code
     * @param limit 分页限制
     * @return 支付订单记录
     */
    List<OrderPayInfo> selectOrderPayByAppCodeAndLimit (String appCode, int limit);
}
