CREATE TABLE order_pay_customer(
    `id` INT AUTO_INCREMENT COMMENT '主键' ,
    `app_name` VARCHAR(16) NOT NULL  COMMENT '服务/客户名称' ,
    `app_code` VARCHAR(16) NOT NULL  COMMENT '服务/客户名称' ,
    `app_desc` TEXT   COMMENT '客户描述' ,
    `status` VARCHAR(32)   COMMENT '是否开启' ,
    `create_by` bigint   COMMENT '创建人' ,
    `create_time` DATETIME   COMMENT '创建时间' ,
    `update_by` bigint   COMMENT '更新人' ,
    `update_time` DATETIME   COMMENT '更新时间' ,
    PRIMARY KEY (id)
)  COMMENT = '支付单客户';

CREATE TABLE order_pay_info(
    `id` INT AUTO_INCREMENT COMMENT '主键' ,
    `app_name` VARCHAR(16) NOT NULL  COMMENT '客户名称' ,
    `app_code` VARCHAR(16)   COMMENT '客户编号' ,
    `cus_order_number` VARCHAR(32)   COMMENT '客户单号' ,
    `pay_order_number` VARCHAR(32)   COMMENT '支付单号' ,
    `channel_type` VARCHAR(32)   COMMENT '渠道商类型' ,
    `channel_order_number` VARCHAR(64)   COMMENT '渠道商单号' ,
    `status` VARCHAR(32)   COMMENT '支付单状态' ,
    `create_by` bigint   COMMENT '创建人' ,
    `create_time` DATETIME   COMMENT '创建时间' ,
    `update_by` bigint   COMMENT '更新人' ,
    `update_time` DATETIME   COMMENT '更新时间' ,
    PRIMARY KEY (id)
)  COMMENT = '订单支付信息';

CREATE TABLE order_pay_refund(
    `id` INT AUTO_INCREMENT COMMENT '主键' ,
    `cus_order_number` VARCHAR(32) NOT NULL  COMMENT '客户退单号' ,
    `pay_order_number` VARCHAR(32) NOT NULL  COMMENT '支付退单号' ,
    `channel_order_number` VARCHAR(64) NOT NULL  COMMENT '渠道商退单号' ,
    `price` DECIMAL(24,6) NOT NULL  COMMENT '退款金额' ,
    `pay_info_number` VARCHAR(32)   COMMENT '支付单号' ,
    `to_account_time` DATETIME   COMMENT '到账时间' ,
    `status` VARCHAR(32)   COMMENT '退单状态' ,
    `create_by` bigint   COMMENT '创建人' ,
    `create_time` DATETIME   COMMENT '创建时间' ,
    `update_by` bigint   COMMENT '更新人' ,
    `update_time` DATETIME   COMMENT '更新时间' ,
    PRIMARY KEY (id)
)  COMMENT = '订单支付退款表';
